Package com.independentsoft.office.spreadsheet

# Enum Class PaperSize

java.lang.Object
java.lang.Enum<PaperSize>
com.independentsoft.office.spreadsheet.PaperSize

All Implemented Interfaces:
  `Serializable`, `Comparable<PaperSize>`, `Constable`

public enum PaperSize extends Enum<PaperSize>
The Enum PaperSize.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `A2_PAPER`
  `A3_EXTRA_PAPER`
  `A3_EXTRA_TRANSVERSE_PAPER`
  `A3_PAPER`
  `A3_TRANSVERSE_PAPER`
  `A4_EXTRA_PAPER`
  `A4_PAPER`
  `A4_PLUS_PAPER`
  `A4_SMALL_PAPER`
  `A4_TRANSVERSE_PAPER`
  `A5_EXTRA_PAPER`
  `A5_PAPER`
  `A5_TRANSVERSE_PAPER`
  `B4_ENVELOPE`
  `B4_PAPER`
  `B5_ENVELOPE`
  `B5_PAPER`
  `B6_ENVELOPE`
  `C_PAPER`
  `C3_ENVELOPE`
  `C4_ENVELOPE`
  `C5_ENVELOPE`
  `C6_ENVELOPE`
  `C65_ENVELOPE`
  `D_PAPER`
  `DL_ENVELOPE`
  `E_PAPER`
  `ENVELOPE_634`
  `EXECUTIVE_PAPER`
  `FOLIO_PAPER`
  `GERMAN_LEGAL_FANFOLD`
  `GERMAN_STANDARD_FANFOLD`
  `INVITE_ENVELOPE`
  `ISO_B4`
  `ISO_B5_EXTRA_PAPER`
  `ITALY_ENVELOPE`
  `JAPANESE_DOUBLE_POSTCARD`
  `JIS_B5_TRANSVERSE_PAPER`
  `LEDGER_PAPER`
  `LEGAL_EXTRA_PAPER`
  `LEGAL_PAPER`
  `LETTER_EXTRA_PAPER`
  `LETTER_EXTRA_TRANSVERSE_PAPER`
  `LETTER_PAPER`
  `LETTER_PLUS_PAPER`
  `LETTER_SMALL_PAPER`
  `LETTER_TRANSVERSE_PAPER`
  `MONARCH_ENVELOPE`
  `NONE`
  `NOTE_PAPER`
  `POUND_10_ENVELOPE`
  `POUND_11_ENVELOPE`
  `POUND_12_ENVELOPE`
  `POUND_14_ENVELOPE`
  `POUND_9_ENVELOPE`
  `QUARTO_PAPER`
  `STANDARD_PAPER_10X11`
  `STANDARD_PAPER_10X14`
  `STANDARD_PAPER_11X17`
  `STANDARD_PAPER_15X11`
  `STANDARD_PAPER_9X11`
  `STATEMENT_PAPER`
  `SUPER_A_PAPER`
  `SUPER_B_PAPER`
  `TABLOID_EXTRA_PAPER`
  `TABLOID_PAPER`
  `US_STANDARD_FANFOLD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PaperSize`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PaperSize[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LETTER_PAPER

    public static final PaperSize LETTER_PAPER

  - ### LEGAL_PAPER

    public static final PaperSize LEGAL_PAPER

  - ### STANDARD_PAPER_10X11

    public static final PaperSize STANDARD_PAPER_10X11

  - ### STANDARD_PAPER_10X14

    public static final PaperSize STANDARD_PAPER_10X14

  - ### STANDARD_PAPER_11X17

    public static final PaperSize STANDARD_PAPER_11X17

  - ### STANDARD_PAPER_15X11

    public static final PaperSize STANDARD_PAPER_15X11

  - ### STANDARD_PAPER_9X11

    public static final PaperSize STANDARD_PAPER_9X11

  - ### SUPER_A_PAPER

    public static final PaperSize SUPER_A_PAPER

  - ### A2_PAPER

    public static final PaperSize A2_PAPER

  - ### A3_PAPER

    public static final PaperSize A3_PAPER

  - ### A3_EXTRA_PAPER

    public static final PaperSize A3_EXTRA_PAPER

  - ### A3_EXTRA_TRANSVERSE_PAPER

    public static final PaperSize A3_EXTRA_TRANSVERSE_PAPER

  - ### A3_TRANSVERSE_PAPER

    public static final PaperSize A3_TRANSVERSE_PAPER

  - ### A4_PAPER

    public static final PaperSize A4_PAPER

  - ### A4_EXTRA_PAPER

    public static final PaperSize A4_EXTRA_PAPER

  - ### A4_PLUS_PAPER

    public static final PaperSize A4_PLUS_PAPER

  - ### A4_TRANSVERSE_PAPER

    public static final PaperSize A4_TRANSVERSE_PAPER

  - ### A4_SMALL_PAPER

    public static final PaperSize A4_SMALL_PAPER

  - ### A5_PAPER

    public static final PaperSize A5_PAPER

  - ### A5_EXTRA_PAPER

    public static final PaperSize A5_EXTRA_PAPER

  - ### A5_TRANSVERSE_PAPER

    public static final PaperSize A5_TRANSVERSE_PAPER

  - ### SUPER_B_PAPER

    public static final PaperSize SUPER_B_PAPER

  - ### B4_PAPER

    public static final PaperSize B4_PAPER

  - ### B5_PAPER

    public static final PaperSize B5_PAPER

  - ### ISO_B5_EXTRA_PAPER

    public static final PaperSize ISO_B5_EXTRA_PAPER

  - ### JIS_B5_TRANSVERSE_PAPER

    public static final PaperSize JIS_B5_TRANSVERSE_PAPER

  - ### C_PAPER

    public static final PaperSize C_PAPER

  - ### D_PAPER

    public static final PaperSize D_PAPER

  - ### POUND_10_ENVELOPE

    public static final PaperSize POUND_10_ENVELOPE

  - ### POUND_11_ENVELOPE

    public static final PaperSize POUND_11_ENVELOPE

  - ### POUND_12_ENVELOPE

    public static final PaperSize POUND_12_ENVELOPE

  - ### POUND_14_ENVELOPE

    public static final PaperSize POUND_14_ENVELOPE

  - ### POUND_9_ENVELOPE

    public static final PaperSize POUND_9_ENVELOPE

  - ### B4_ENVELOPE

    public static final PaperSize B4_ENVELOPE

  - ### B5_ENVELOPE

    public static final PaperSize B5_ENVELOPE

  - ### B6_ENVELOPE

    public static final PaperSize B6_ENVELOPE

  - ### C3_ENVELOPE

    public static final PaperSize C3_ENVELOPE

  - ### C4_ENVELOPE

    public static final PaperSize C4_ENVELOPE

  - ### C5_ENVELOPE

    public static final PaperSize C5_ENVELOPE

  - ### C6_ENVELOPE

    public static final PaperSize C6_ENVELOPE

  - ### C65_ENVELOPE

    public static final PaperSize C65_ENVELOPE

  - ### DL_ENVELOPE

    public static final PaperSize DL_ENVELOPE

  - ### INVITE_ENVELOPE

    public static final PaperSize INVITE_ENVELOPE

  - ### ITALY_ENVELOPE

    public static final PaperSize ITALY_ENVELOPE

  - ### MONARCH_ENVELOPE

    public static final PaperSize MONARCH_ENVELOPE

  - ### ENVELOPE_634

    public static final PaperSize ENVELOPE_634

  - ### E_PAPER

    public static final PaperSize E_PAPER

  - ### EXECUTIVE_PAPER

    public static final PaperSize EXECUTIVE_PAPER

  - ### GERMAN_LEGAL_FANFOLD

    public static final PaperSize GERMAN_LEGAL_FANFOLD

  - ### GERMAN_STANDARD_FANFOLD

    public static final PaperSize GERMAN_STANDARD_FANFOLD

  - ### US_STANDARD_FANFOLD

    public static final PaperSize US_STANDARD_FANFOLD

  - ### FOLIO_PAPER

    public static final PaperSize FOLIO_PAPER

  - ### ISO_B4

    public static final PaperSize ISO_B4

  - ### JAPANESE_DOUBLE_POSTCARD

    public static final PaperSize JAPANESE_DOUBLE_POSTCARD

  - ### LEDGER_PAPER

    public static final PaperSize LEDGER_PAPER

  - ### LEGAL_EXTRA_PAPER

    public static final PaperSize LEGAL_EXTRA_PAPER

  - ### LETTER_EXTRA_PAPER

    public static final PaperSize LETTER_EXTRA_PAPER

  - ### LETTER_EXTRA_TRANSVERSE_PAPER

    public static final PaperSize LETTER_EXTRA_TRANSVERSE_PAPER

  - ### LETTER_PLUS_PAPER

    public static final PaperSize LETTER_PLUS_PAPER

  - ### LETTER_TRANSVERSE_PAPER

    public static final PaperSize LETTER_TRANSVERSE_PAPER

  - ### LETTER_SMALL_PAPER

    public static final PaperSize LETTER_SMALL_PAPER

  - ### NOTE_PAPER

    public static final PaperSize NOTE_PAPER

  - ### QUARTO_PAPER

    public static final PaperSize QUARTO_PAPER

  - ### STATEMENT_PAPER

    public static final PaperSize STATEMENT_PAPER

  - ### TABLOID_PAPER

    public static final PaperSize TABLOID_PAPER

  - ### TABLOID_EXTRA_PAPER

    public static final PaperSize TABLOID_EXTRA_PAPER

  - ### NONE

    public static final PaperSize NONE

- ## Method Details

  - ### values

    public static PaperSize[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PaperSize valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null